Что я делаю для зависимостей, устанавливающих wine1.7 на 14.04

user@chrubuntu:~$ sudo apt-get install wine1.7   
[sudo] password for user: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine1.7 : Depends: wine1.7-i386 (= 1:1.7.19-0ubuntu2~trusty2) but it is not         installable
       Recommends: gnome-exe-thumbnailer but it is not going to be installed or
                   kde-runtime but it is not going to be installed
       Recommends: ttf-mscorefonts-installer but it is not going to be installed
       Recommends: fonts-horai-umefont but it is not going to be installed
       Recommends: fonts-unfonts-core but it is not going to be installed
       Recommends: ttf-wqy-microhei
       Recommends: winetricks but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
user@chrubuntu:~$ 

Попытка установить wine1.7 на 64-битную Ubuntu 14.04, и я не уверен, что это значит, помощь очень ценится. Я уже побежал sudo apt-get updat e и получаю это:

Reading package lists... Done
W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages)
W: You may want to run apt-get update to correct these problems

Итак, я бегу apt-get update и:

E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Это все очень напрягает, потому что я пытался получить Wine за прошедшую неделю и пришлось переустанавливать и ЭТО ЕЩЕ НЕ РАБОТАЕТ.

4
задан 08.06.2014, 21:13

3 ответа

Кажется пропавшими без вести поддержки i386. Вы могли бы хотеть попытаться добавить его.

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install wine
7
ответ дан 07.10.2019, 17:34
  1. Использование Ваш любимый текстовый редактор для открытия /etc/apt/sources.list (делают резервное копирование сначала)
  2. Изменение

    deb http://de.archive.ubuntu.com/ubuntu/ trusty universe
    

    к [1 111]

    deb [arch=amd64,i386] http://de.archive.ubuntu.com/ubuntu/ trusty universe
    
  3. Выполнение эти команды

    sudo add-apt-repository ppa:ubuntu-wine/ppa
    sudo dpkg --add-architecture i386
    sudo apt-get update
    
  4. Наконец установите вино с помощью способности

    sudo aptitude --full-resolver -f install wine1.7
    
0
ответ дан 07.10.2019, 17:34

Попытайтесь выполнить следующие три команды:

sudo add-apt-repository ppa:ubuntu-wine/ppa
sudo apt-get update
sudo apt-get install wine1.7

, Если после выполнения этого Вы получаете сообщение о дублирующихся винных записях, попытайтесь работать

sudo add-apt-repository ppa:ubuntu-wine/ubuntu -r
sudo apt-get update

, отметьте,-r в конце говорит add-apt-repository удалять ppa, вместо того, чтобы добавлять тот.

кроме того, можно хотеть попытаться запустить любимый текстовый редактор как пользователь root для удаления записей Google из/etc/apt/sources.list (например, sudo gedit /etc/apt/sources.list). Сохраните файл и работайте sudo apt-get update.

0
ответ дан 07.10.2019, 17:34

Теги

Похожие вопросы